{
	"format_version": "1.20.80",
	"minecraft:feature_rules": {
		"description": {
			"identifier": "v360:rooted_caves_top_patch",
			"places_feature": "v360:root_caves_top_patch"
		},
		"conditions": {
			"placement_pass": "first_pass",
			"minecraft:biome_filter": {
				"any_of": [
					{
						"test": "has_biome_tag",
						"operator": "==",
						"value": "roofed"
					},
					{
						"test": "has_biome_tag",
						"operator": "==",
						"value": "mesa"
					},
					{
						"test": "has_biome_tag",
						"operator": "==",
						"value": "mangrove_swamp"
					}
				]
			}
		},
		"distribution": {
			"iterations": 10,
			"x": {
				"distribution": "uniform",
				"extent": [
					0,
					16
				]
			},
			"y": {
				"distribution": "uniform",
				"extent": [
					0,
					63
				]
			},
			"z": {
				"distribution": "uniform",
				"extent": [
					0,
					16
				]
			}
		}
	}
}